// The MIT License
//
// Copyright (c) 2020 Temporal Technologies Inc.  All rights reserved.
//
// Copyright (c) 2020 Uber Technologies, Inc.
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

package archiver

import (
	"github.com/stretchr/testify/mock"
)

// MockArchivalMetadata is an autogenerated mock type for the ArchivalMetadata type
type MockArchivalMetadata struct {
	mock.Mock
}

// GetHistoryConfig provides a mock function with given fields:
func (_m *MockArchivalMetadata) GetHistoryConfig() ArchivalConfig {
	ret := _m.Called()

	var r0 ArchivalConfig
	if rf, ok := ret.Get(0).(func() ArchivalConfig); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(ArchivalConfig)
		}
	}

	return r0
}

// GetVisibilityConfig provides a mock function with given fields:
func (_m *MockArchivalMetadata) GetVisibilityConfig() ArchivalConfig {
	ret := _m.Called()

	var r0 ArchivalConfig
	if rf, ok := ret.Get(0).(func() ArchivalConfig); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(ArchivalConfig)
		}
	}

	return r0
}
